Subject: Re: bug#74437: 30.0.92; completion-preview-idle-delay is delayed by flyspell

From: Tomasz Hołubowicz <[email-masked]>
Date: Sat, 23 Nov 2024 22:41:00 +0100

On Fri, Nov 22 2024, Eshel Yaron wrote:

> Done, in 097b685aa1c.
>
> Tomasz, setting this new option flyspell-delay-use-timer to non-nil
> (after building Emacs from the master branch, or applying these changes
> to your copy of flyspell.el) should hopefully resolve the extended delay
> you've been seeing.

Thank you Eshel and Eli for quick resolution of this issue!

Setting flyspell-delay-use-timer to non-nil indeed helps. The delay set with completion-preview-idle-delay option is not extended when flyspell-mode is active as well.

Kind wishes,
Tomasz Hołubowicz

On Fri, Nov 22 2024, Eshel Yaron wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Eshel Yaron <[email-masked]>
>>> Cc: [email-masked],  [email-masked]
>>> Date: Fri, 22 Nov 2024 08:26:42 +0100
>>> 
>>> >> > The question is: what do users expect to happen in those cases?
>>> >> 
>>> >> I don't know
>>> >
>>> > Neither do I.  I didn't say something was wrong with either of these
>>> > implementations, I'm just saying they should be well tested by users
>>> > before we have enough basis to make the decisions whether the idea is
>>> > generally good and whether it should probably become the default in
>>> > some future version.
>>> 
>>> Sounds good.  So here's a full patch that keeps the current
>>> implementation as the default:
>>
>> Thanks.  Please install on master, but please add a NEWS entry which
>> calls out this change and invites feedback on using this new behavior.
>
> Done, in 097b685aa1c.
>
> Tomasz, setting this new option flyspell-delay-use-timer to non-nil
> (after building Emacs from the master branch, or applying these changes
> to your copy of flyspell.el) should hopefully resolve the extended delay
> you've been seeing.
>
>
> Eshel